#!/usr/bin/python3
import rospy
import numpy as np
from sensor_msgs.msg import NavSatFix

def talker():
    pub = rospy.Publisher('/dji_osdk_ros/gps_position', NavSatFix, queue_size=10)
    rospy.init_node('db_streamer', anonymous=True)
    rate = rospy.Rate(3) # 3hz
    navData = NavSatFix()
    navData.header.frame_id = "NaN"
    while not rospy.is_shutdown():
        navData.latitude = -80.564890 + 0.1*(np.random.rand()) # give it jiggle
        navData.longitude = 37.199879 + 0.1*(np.random.rand())
        navData.altitude = 30
        pub.publish(navData)
        rate.sleep()

if __name__ == '__main__':
    try:
        talker()
    except rospy.ROSInterruptException:
        pass

